Categories:
  - Development
License: MPL-2.0
SourceCode: https://github.com/pragma-/networklog
IssueTracker: https://github.com/pragma-/networklog/issues
Changelog: https://github.com/pragma-/networklog/blob/HEAD/CHANGELOG.md

AutoName: Network Log
Summary: See what's accessing the internet
Description: |-
    '''N.B''' Contains pre-built grep and iptables binaries. Though source code for
    those is now in the repository, we have a technical problem building them.

    Network Log monitors iptables-logging to display a real-time list of which apps
    are making network connections, and provides statistics about those app
    connections.

    Requires root: Yes. iptables must run as root

RequiresRoot: 'yes'

RepoType: git
Repo: https://github.com/pragma-/networklog

Builds:
  - versionName: 2.5.1
    versionCode: 20501
    commit: 8aed25f3e6e1
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.7.2
    versionCode: 20702
    commit: 373324be8c18
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.8.0
    versionCode: 20800
    commit: 2.8.0
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.8.1
    versionCode: 20801
    commit: 2.8.1
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.8.2
    versionCode: 20802
    commit: 2.8.2
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.8.3
    versionCode: 20803
    commit: 2.8.3
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.8.4
    versionCode: 20804
    commit: 2.8.4
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.10.0
    versionCode: 21000
    commit: 2.10.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.11.0
    versionCode: 21100
    commit: 2.11.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.12.0
    versionCode: 21200
    commit: 2.12.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.12.1
    versionCode: 21201
    commit: 2.12.1
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.13.0
    versionCode: 21300
    commit: 2.13.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.14.0
    versionCode: 21400
    commit: 2.14.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.15.0
    versionCode: 21500
    commit: 2.15.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.16.0
    versionCode: 21600
    commit: 2.16.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.17.0
    versionCode: 21700
    commit: 2.17.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.17.1
    versionCode: 21701
    disable: 2.17.0
    commit: unknown - see disabled
    prebuild:
      - rm libs/android*.jar
      - cd jni/
      - rm -rf iptables
      - wget https://hg.adblockplus.org/adblockplusandroid/raw-file/d7c96f2212b1/iptables.patch
      - git clone https://android.googlesource.com/platform/external/iptables
      - cd iptables
      - git apply ../iptables.patch
      - make fixextensions
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library
    target: android-15
    build:
      - $$NDK$$/ndk-build
      - mv libs/armeabi/grep libs/armeabi/grep_armv5
      - zip res/raw/grep_armv5.zip libs/armeabi/grep_armv5
      - mv libs/armeabi/nflog libs/armeabi/nflog_armv5
      - zip res/raw/nflog_armv5.zip libs/armeabi/nflog_armv5
      - mv libs/armeabi/iptables libs/armeabi/iptables_armv5
      - zip res/raw/iptables_armv5.zip libs/armeabi/iptables_armv5
      - mv libs/armeabi-v7a/grep libs/armeabi-v7a/grep_armv7
      - zip res/raw/grep_armv7.zip libs/armeabi/grep_armv7
      - mv libs/armeabi-v7a/iptables libs/armeabi-v7a/iptables_armv7
      - zip res/raw/iptables_armv7.zip libs/armeabi/iptables_armv7
      - mv libs/armeabi-v7a/nflog libs/armeabi-v7a/nflog_armv7
      - zip res/raw/nflog_armv7.zip libs/armeabi/nflog_armv7
      - mv libs/mips/grep libs/mips/grep_mips
      - zip res/raw/grep_mips.zip libs/armeabi/grep_mips
      - mv libs/mips/iptables libs/mips/iptables_mips
      - zip res/raw/iptables_mips.zip libs/armeabi/iptables_mips
      - mv libs/mips/nflog libs/mips/nflog_mips
      - zip res/raw/nflog_mips.zip libs/armeabi/nflog_mips
      - mv libs/x86/grep libs/x86/grep_x86
      - zip res/raw/grep_x86.zip libs/armeabi/grep_x86
      - mv libs/x86/iptables libs/x86/iptables_x86
      - zip res/raw/iptables_x86.zip libs/armeabi/iptables_x86
      - mv libs/x86/nflog libs/x86/nflog_x86
      - zip res/raw/nflog_x86.zip libs/armeabi/nflog_x86
      - rm -rf libs/armeabi libs/armeabi-v7a libs/mips libs/x86

  - versionName: 2.18.0
    versionCode: 21800
    commit: 2.18.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library

  - versionName: 2.20.0
    versionCode: 22000
    commit: 2.20.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library
      - FileSelector

  - versionName: 2.20.1
    versionCode: 22001
    commit: 2.20.1
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library
      - FileSelector

  - versionName: 2.21.0
    versionCode: 22100
    commit: 2.21.0
    rm:
      - libs/android-support-v4.jar
    androidupdate:
      - .
      - ActionBarSherlock/library
      - ViewPagerIndicator/library
      - FileSelector

  - versionName: 2.22.1
    versionCode: 22201
    commit: 2.22.1
    rm:
      - jni

  - versionName: 2.23.0
    versionCode: 22300
    commit: 2.23.0
    rm:
      - jni

  - versionName: 2.24.0
    versionCode: 22400
    commit: 2.24.0
    rm:
      - jni

  - versionName: 2.24.1
    versionCode: 22401
    commit: 2.24.1
    build: sh package-jni.sh

  - versionName: 2.24.2
    versionCode: 22402
    commit: 2.24.2
    build: sh package-jni.sh

  - versionName: 2.25.0
    versionCode: 22500
    commit: 2.25.0
    build: sh package-jni.sh

  - versionName: 2.25.1
    versionCode: 22501
    commit: 2.25.1
    build: sh package-jni.sh

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 2.25.1
CurrentVersionCode: 22501
